//GeoGet 2

function ExportExtension: string;
begin
  result := 'TXT';
end;

function ExportDescription: string;
begin
  result := 'Field Notes with logs';
end;

function ExportHint: string;
begin
  result := 'Field Notes file for transfer your finds + logs to geocaching.com.';
  if copy(GetCurrentLanguage, 1, 2) = 'cs' then
    result := 'Field Notes soubor pro penesen Vaich nlez a log na geocaching.com.)';
end;


function ExportHeader: string;
begin
  Result := #$EF + #$BB + #$BF;
end;

function ExportFooter: string;
begin
  Result := '';
end;

function ExportPoint: string;
var
  dt: TDateTime;
  dtt: tDateTime;
  lt: string;
  tz: string;
  slog:string;
begin
  dt := GC.Found + GC.FoundTime;
  dtt := GC.FoundTime;
  lt := 'Found it';
  if dt = 0 then
  begin
    lt := 'Write note';
    dt := now;
    dtt := now;
  end;
  tz := GC.TagValues('timezone');
  if tz = '' then
    dt := LocalToUTC(dt)
  else
    dt := TimezoneToUTC(dt, tz);
  Geoget_DB.AddParamText(':id',GC.ID);
  Geoget_DB.AddParamText(':finder',GEOGET_OWNER);
  slog:=Geoget_DB.GetTableString('SELECT unzlib(logtext) FROM geolog WHERE id=:id AND finder=:finder AND type IN (''Found it'',''Webcam Photo Taken'',''Attended'') LIMIT 1;');

  Result := GC.ID + ',';
  Result := Result + formatdatetime('yyyy"-"mm"-"dd"T"hh":"nn"Z"', dt) + ',';
  Result := Result + lt + ',';
  Result := Result+'"'+ReplaceString(ReplaceString(sLog,CRLF,' '),'"','''')+'"' + CRLF;
end;
